<!DOCTYPE html>
<html>
	<body>
		<div class="common_content_nav">您所在位置 > 优惠券管理 > <a href="#">新建优惠券</a></div>
		<div class="common_content_title">新建优惠券</div>
		<div class="clearfix contactDetailed fenzuDetailed" style="margin-top:0px;margin-left:0px; overflow-y:auto;background: #fff; ">
		<div id="div-title-first" style="background-image:url('../../scrm/img/activity-step1.png');border-bottom:1px solid #D2D2D2; background-size:100% 100%; vertical-align:middle;background-repeat:no-repeat;color:#fff; line-height:60px;">
			<span style="padding:0px 20%;">优惠券信息</span><span style="padding:0px 20%;color: #000;">优惠券功能</span>
		</div>
		<div id="div-title-second" style="background-image:url('../../scrm/img/activity-step2.png');border-bottom:1px solid #D2D2D2; display:none;
			background-size:100% 100%;text-align:right; vertical-align:middle;background-repeat:no-repeat;color:#fff; line-height:60px;">
			<span style="padding:0px 20%;color: #000;">优惠券信息</span><span style="padding:0px 22%;">优惠券功能</span>
		</div>
			<div style="margin-left: 10px;">
				<form id="couponAdd_form" method="post" enctype="multipart/form-data">
					<ul id="coupon-add-first-setting">
						<li>
							<span><span class="mustInput">*</span>优惠券名称</span>
							<input name="couponName" id="couponName" size="16" type="text" class="form-control input140" value="" data-options="required:true,length:'100'">
						</li>
						<li class="clearfix">
							<span class="fl margintop8">
								<span class="mustInput">*</span>有效期
							</span>
							<ul class="clearfix fl">
								<ol>
									<div class="inline_input">
										<span><input name="expireType" type="radio" value="1" checked="checked"/> 固定日期</span>
										<input id="couponAdd_startDate" name="fromDate" class="Wdate date_input" type="text" onFocus="WdatePicker({minDate:'%y-%M-%d',maxDate:'#F{$dp.$D(\'couponAdd_endDate\')||\'2099-12-31\'}'})"/>至 
										<input id="couponAdd_endDate" name="thruDate" class="Wdate date_input" type="text" onFocus="WdatePicker({minDate:'#F{$dp.$D(\'couponAdd_startDate\')}',maxDate:'2099-12-31'})"/>
									</div>
								</ol>
								<br />
								<ol>
									<div class="inline_input">
										<span><input name="expireType" type="radio" value="2" /> 领取后</span>
										<div>
											<input id="couponAdd_afterDate" name="afterDate" size="16" style="padding:6px 6px;" type="text" class="form-control input40" value="" data-options="length:'3',validType:'rtZero'"> 天生效，有效天数
											<input id="couponAdd_expireValue" name="expireValue" size="16" style="padding:6px 6px;" type="text" class="form-control input40" value="" data-options="length:'3',validType:'rtNZero'"> 天 </div>
									</div>
								</ol>
								<br />
								<ol>
									<div class="inline_input">
										<span><input name="expireType" type="radio" value="3" /> 无限制</span>
									</div>
								</ol>
							</ul>
						</li>
						<li>
							<span><span class="mustInput">*</span>优惠券类型</span>
							<div style="display:inline-block;*zoom:1; *display:inline; position:relative; width:140px;">
								<!-- <span>发放渠道</span> -->
								<input type="hidden" name="couponTypeId" id="couponType" value="">
								<input type="text" size="16" id="coupon_type" class="form-control" value="" input-type="select" placeholder="选择券类型" readonly="">
								<ul class="dropdown-menu" style="min-width: 100px; display: none; position: fixed; left: 340.75px; top: 416px; width: 140px;" data="" url-options="url:'/couponController/showCouponType.do',value:'couponTypeId',text:'couponTypeName'">
							</ul>
								<i class="input_icon input_down"></i>
							</div>
						
						</li>
						
						
						<li class="">
							<span class="fl">使用说明</span>
							<textarea name="comments" class="form-control input780" rows="3" data-options="length:'500'"></textarea>
						</li>
						<li class="">
							<span class="fl margintop8"></span>
							<img id="couponAdd_img2_path" src="" width="200" height="130" />
						</li>
						<li class="">
							<span class="fl">备注</span>
							<textarea name="remark" class="form-control input780" rows="3" data-options="length:'500'"></textarea>
						</li>
						<button id="nextSetting" type="button" class="btn btn-success choose_btn">下一步</button>
						<button id="goback" type="button" class="btn choose_btn back">返回</button>
					</ul>
					<ul id="coupon-add-second-setting" style="display: none;">
						
						<li>
							<span>使用门店</span>
							<input type="hidden" name="equalOrgId" value="" />
							<input id="equalOrgId" class="form-control input140" type="text" value="" name="equalOrgName"></input>
						</li>
						<li>
							<span>使用范围</span>
							<textarea name="extField1" class="form-control input780" rows="3" data-options="length:'500'"></textarea>
						</li>
						<li>
							<span>微信消息模板描述</span>
							<textarea name="webchatRemark" class="form-control input780" rows="3" data-options="length:'500'"></textarea>
						</li>
						
						<li>
							<span class="fl">其他功能:</span>
							<div style="margin-left:100px;height:35px">
								<input type="checkbox" id="isReceiveCK" value="1"><span>优惠券不能转发</span>
								<input type="hidden" id="isReceive" name="isReceive" value="" />
							</div>
							 
							<div style="margin-left:120px;height:35px">
								<input type="checkbox" id="isRemindCK" value="1"><span>开启到期提醒</span><i>*提前3天提醒</i>
								<input type="hidden" id="isRemind" name="isRemind" value="" />
							</div>
							<div style="margin-left:120px;height:35px">
								<input type="checkbox" id="isOwnerUsedCK" value="1"><span>自己不能使用</span>
								<input type="hidden" id="isOwnerUsed" name="isOwnerUsed" value="" />
							</div>
						</li>
						 
						·<button id="beforeSetting" type="button" class="btn choose_btn back">上一步</button>
						<button id="couponAddSave" type="button" class="btn btn-success choose_btn">保存</button>
					</ul>
				</form>
				<!--区域弹出层-->
				<div id="areaChoose" class="mask none">
					<div class="detailed labelChoose">
						<div class="contactDetailed_title">选择区域/门店</div>
							<div style="height:200px;line-height:100px;overflow:auto;overflow-x:hidden;">
								<div class="zTreeDemoBackground left">
									<ul id="areaTree" class="ztree"></ul>
								</div>
							</div>
							<div class="contactDetailed_btn">
								<button id="areaSaveBtn" type="button" class="btn btn-success input90">保存</button>
								<button type="button" class="btn input90 detailed_close2">关闭</button>
							</div>
						</div>
				</div>
			</div>
		</div>
			<script type="text/javascript">
				$(function() {
					require(['view/coupon/couponAdd'], function(re) {
						re.init();
					});
					require(['view/member/selectTag'], function(re) {
						//re.init();
					});
					require(['view/member/tree'], function(re) {
						//re.init();
					});
				});
			</script>
	</body>

</html>